#include "Midi.h"

void MidiIn :: setCallback( MidiIn::MidiMessageInCallback callback, void *userData )
{
	userCallback = callback;
    userCallbackData = userData;

	RtMidiIn::setCallback( rtmidiCallback, (void*) this );
}

void MidiIn :: rtmidiCallback( double timeStamp, std::vector<unsigned char> *messageBytes, void *callbackData )
{
	MidiIn *midiin = (MidiIn*) callbackData;

	MidiMessage* message = MidiMessage::parseMessage(*messageBytes);
	midiin->userCallback( timeStamp, *message, midiin->userCallbackData );
	delete message;
}
